<?php
class Producao
{
	private $sql;
	public $qry;
	public $qry_ver;
	private $id_empresa;
	//public $statos;

	public function __construct()
	{
		ob_start();
		session_start();
		$this->id_empresa = $_SESSION["fild_id_empresa"];
	}

	private function execulta()
	{
		$this->qry = mysqli_query($mysqlCom->connect(), $this->sql);
	}

	public function Statos($id)
	{
		$statos = array(
			1 => 'Escolhendo',
			2 => 'Fila',
			3 => 'em Producao',
			4 => 'Edição Finalizada',
			5 => '',
			6 => 'Aguardando Contato com Cliente',
			7 => 'Aguardando A Provação',
			8 => 'Aprovado',
			9 => 'Não Aprovado',
			10 => 'Encadernação',
			11 => 'Recebido da Encadernacao',
			12 => 'Entregue ao Cliente'
		);
		return $statos[$id];
	}

	public function StartProducao($id_evento)
	{
		$this->sql = "select id_producao, tipo_edicao, statos, data_inicio, data_fim, qto_fotos_escolhidas, numero_fotos_escolhidas
							from evento_producao
							where id_evento = $id_evento
							and id_empresa = $this->id_empresa";
		$this->execulta();
	}

	public function Processo($statos)
	{
		$this->sql = "select a.id_producao, a.id_evento, a.tipo_edicao, a.statos, a.data_inicio, a.data_fim, 
							a.qto_fotos_escolhidas, a.numero_fotos_escolhidas, b.nome, b.data_evento, c.descricao as tipo_evento
							from evento_producao a, evento b, tipo_evento c
							where a.id_evento = b.id_evento
							and c.id_tipo_evento = b.id_tipo_evento
							and a.statos = $statos
							and a.id_empresa = $this->id_empresa";
		$this->execulta();
	}


	public function Historico($id_producao)
	{
		$this->sql = "select id_evento_producao_historico, data, hora, funcionario, statos, historico
							from evento_producao_historico
							where id_producao = $id_producao";

		$this->qry_ver = mysqli_query($mysqlCom->connect(), $this->sql);
	}


	public function InsertEventoProducao($id_evento, $tipo_edicao, $data_inicio)
	{
		$this->sql = "insert into evento_producao
								(id_evento, id_empresa, tipo_edicao, statos, data_inicio)
								value
								($id_evento,$this->id_empresa,'$tipo_edicao',1,'$data_inicio')";
		$this->execulta();

		return mysqli_insert_id();
	}


	public function InsertEventoProducaoHistorico($id_producao, $funcionario, $statos)
	{
		$data = date('Y/m/d');
		$hora = date("H:i");
		$forHistorico = array(
			1 => 'Fotos do Evento disponível para o cliente escolher',
			2 => 'Cliente Finalizou a escolha das fotos EM FILA',
			3 => 'Inicio a Edição',
			4 => 'Finalizou a Edição',
			5 => 'Eviado E-mail para o Cliente',
			6 => 'UpLoad fotos',
			7 => 'Aguardando Cliente Escolher',
			8 => '8',
			9 => '9',
			10 => '10',
			11 => '11',
			12 => '12',

		);

		$this->sql = "insert into evento_producao_historico
						(id_producao, data, hora, funcionario, statos, historico)
						values
						($id_producao,'$data','$hora', '$funcionario', $statos, '$forHistorico[$statos]')";
		$this->execulta();
	}


	public function UpdateProducao($statos, $id_evento, $funcionario)
	{
		$this->sql = "update evento_producao
								set statos = $statos
								where id_evento = $id_evento
								and id_empresa = $this->id_empresa";
		$this->execulta();


		$sql = "select id_producao, statos from evento_producao
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa";
		$qry = mysqli_query($mysqlCom->connect(), $sql);


		while ($row = mysqli_fetch_object($qry)) {
			$id_producao = $row->id_producao;
			$statos_ = $row->statos;
		}

		return $id_producao;
		//$this->InsertEventoProducaoHistorico($id_producao,$funcionario, $statos);
	}


	public function UpdateProducaoSomenteX9QuandoFor6($statos, $id_evento, $funcionario)
	{
		$sql = "select id_producao, statos from evento_producao
						where id_evento = $id_evento
						and id_empresa = $this->id_empresa";
		echo $sql;
		$qry = mysqli_query($mysqlCom->connect(), $sql);


		while ($row = mysqli_fetch_object($qry)) {
			$id_producao = $row->id_producao;
			$statos_ = $row->statos;
		}

		if ($statos_ == 6) {
			$this->sql = "update evento_producao
									set statos = $statos
									where id_evento = $id_evento
									and id_empresa = $this->id_empresa";
			$this->execulta();

			$this->InsertEventoProducaoHistorico($id_producao, $funcionario, $statos);
		}
	}
}
